Page MenuHomePhabricator

Create LanguageTool project
Closed, ResolvedPublic0 Story Points

Description

Project name: LanguageTool extension for VisualEditor
Description: Add language proofing support to VisualEditor (See T89107 and T93752)
Type:Extension
Policy:Default

Event Timeline

Ankita-ks updated the task description. (Show Details)
Ankita-ks raised the priority of this task from to Needs Triage.
Ankita-ks claimed this task.
Ankita-ks moved this task to Incoming on the Project-Admins board.
Ankita-ks added subscribers: Ankita-ks, Amire80, eranroz and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2015, 9:05 AM

@Ankita-ks: Hi, why is the Project-Admins project assigned here? If you really want a Phabricator project with a workboard (if a task with blocking (sub-)tasks is not sufficient for managing the work on this and if this work is distinct from any existing projects), please see the wiki for required information. Thanks!

dnaber added a subscriber: dnaber.May 19 2015, 6:13 PM
Qgil added a comment.May 19 2015, 6:57 PM

@Ankita_ks, you can "Edit Task" here and make a request like T98444 (another GSoC student requesting a new Phabricator project).

Qgil added a comment.May 23 2015, 10:31 PM

@Ankita_ks, if you still have questions about how to request a new Phabricator project, please ask. Have you talked with your mentors about this? They should be able to help you. Actually it is pretty simple, but when it's the first time it might look more complicated.

Ankita-ks renamed this task from Unified Language Proofing Framework to Create LanguageTool project.May 24 2015, 7:58 PM
Ankita-ks updated the task description. (Show Details)
Ankita-ks set Security to None.
Qgil closed this task as Resolved.May 24 2015, 8:43 PM

Done: VisualEditor-LanguageTool

I'm not sure whether there is a naming schema for VisualEditor plugins, but this is something that can be modified. For now you have this project created, so you can check the box in your community bonding period evaluation, and you can kick your project with more tasks.

Qgil triaged this task as Normal priority.May 24 2015, 8:46 PM
Jdforrester-WMF set the point value for this task to 0.Aug 1 2016, 6:49 PM